# Add/Remove Admins

The Super Admin is the holder of the Raft Token and has full control over Badge Spec creation, airdrops, allowlisting, and badge revocation. Other users or addresses can be granted admin rights, including the ability to create and issue Badges, thus enabling a more flexible system with distributed administrative privileges. However, it's important to note that only Super Admins have the authority to add or remove other admins.

On the `Raft` contract you can call `setAdmins(uint256 tokenId, address[] memory admins, bool[] memory isActive`

The purpose of this function is to modify the **`isAdmin`** value of a list of administrators. It provides the ability to add or remove multiple administrators at once or perform a combination of both actions.

```tsx
import { Contract, Signer } from 'ethers'
import Raft from '@otterspace-xyz/contracts/out/Raft.sol/Raft.json' assert { type: 'json' }

const RAFT_CONTRACT_ADDRESS = '0xBb8997048e5F0bFe6C9D6BEe63Ede53BD0236Bb2'

const mintBadge = async (
    raftReceiver: Signer,
		raftTokenId: string,
    adminList: string[],
    isActiveList: string[]
): Promise<ContractCallResult> => {
    const contract = new Contract(RAFT_CONTRACT_ADDRESS, Raft.abi, raftReceiver)
    const callSetAdmins = contract['setAdmins']
    return await callSetAdmins(raftTokenId, adminList, isActiveList)
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otterspace.xyz/documentation/contracts/add-remove-admins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
